Bug 1567933 - SELinux is preventing snapd from 'map' accesses on the Datei /var/cache/snapd/commands.db.
Summary: SELinux is preventing snapd from 'map' accesses on the Datei /var/cache/snapd...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: snapd
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zygmunt Krynicki
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:479c048d3d1e3c269243cd77712...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-16 12:50 UTC by Martin Wolf
Modified: 2018-09-06 02:31 UTC (History)
7 users (show)

Fixed In Version: snapd-2.35-1.fc28 snapd-2.35-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-30 04:55:41 UTC
Type: ---


Attachments (Terms of Use)

Description Martin Wolf 2018-04-16 12:50:00 UTC
Description of problem:
SELinux is preventing snapd from 'map' accesses on the Datei /var/cache/snapd/commands.db.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that snapd should be allowed map access on the commands.db file by default.
Then sie sollten dies als Fehler melden.
Um diesen Zugriff zu erlauben, können Sie ein lokales Richtlinien-Modul erstellen.
Do
allow this access for now by executing:
# ausearch -c 'snapd' --raw | audit2allow -M my-snapd
# semodule -X 300 -i my-snapd.pp

Additional Information:
Source Context                system_u:system_r:snappy_t:s0
Target Context                system_u:object_r:var_t:s0
Target Objects                /var/cache/snapd/commands.db [ file ]
Source                        snapd
Source Path                   snapd
Port                          <Unbekannt>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-283.30.fc27.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.15.14-300.fc27.x86_64 #1 SMP Thu
                              Mar 29 16:13:44 UTC 2018 x86_64 x86_64
Alert Count                   1
First Seen                    2018-04-16 14:47:27 CEST
Last Seen                     2018-04-16 14:47:27 CEST
Local ID                      60435e43-fbb4-409b-8167-9182cb25be4e

Raw Audit Messages
type=AVC msg=audit(1523882847.618:288): avc:  denied  { map } for  pid=3020 comm="snapd" path="/var/cache/snapd/commands.db" dev="nvme0n1p4" ino=7603396 scontext=system_u:system_r:snappy_t:s0 tcontext=system_u:object_r:var_t:s0 tclass=file permissive=1


Hash: snapd,snappy_t,var_t,file,map

Version-Release number of selected component:
selinux-policy-3.13.1-283.30.fc27.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.3
hashmarkername: setroubleshoot
kernel:         4.15.14-300.fc27.x86_64
type:           libreport

Comment 1 Fedora Update System 2018-08-25 21:43:02 UTC
snapd-glib-1.43-1.fc28 snapd-2.35-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-5d4624b7af

Comment 2 Fedora Update System 2018-08-25 21:44:19 UTC
snapd-glib-1.43-1.fc27 snapd-2.35-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-14918a503a

Comment 3 Fedora Update System 2018-08-26 22:51:37 UTC
snapd-2.35-1.fc27, snapd-glib-1.43-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-14918a503a

Comment 4 Fedora Update System 2018-08-27 00:26:24 UTC
snapd-2.35-1.fc28, snapd-glib-1.43-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-5d4624b7af

Comment 5 Fedora Update System 2018-08-30 04:55:41 UTC
snapd-2.35-1.fc28, snapd-glib-1.43-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2018-09-06 02:31:02 UTC
snapd-2.35-1.fc27, snapd-glib-1.43-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.